List services by auto-renew

Returns the account's active and suspended servers and shared hosting accounts with whether each renews automatically and when it is next charged.

GET
/balance/auto-renew

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Query Parameters

sort?|

Value in

  • "billing_cycle"
  • "-billing_cycle"
  • "next_charge_at"
  • "-next_charge_at"
  • "expiry_at"
  • "-expiry_at"
  • "auto_renew"
  • "-auto_renew"
  • null
per_page?|
Range1 <= value <= 50
page?|
Range1 <= value
filter[search]?string

Part of a service name or IP address.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/balance/auto-renew?filter%5Bsearch%5D=web-01"
{  "data": [    {      "type": "server",      "id": 0,      "name": "string",      "ip": "string",      "billing_cycle": 0,      "status": "awaiting_payment",      "auto_renew": true,      "locked": true,      "lock_reason": "string",      "expiry_at": "2019-08-24T14:15:22Z",      "next_charge_at": "2019-08-24T14:15:22Z",      "plan": {        "id": 0,        "minimum_billing_cycle": 0      },      "promo_code": "string"    }  ],  "links": {    "first": "string",    "last": "string",    "prev": "string",    "next": "string"  },  "meta": {    "current_page": 1,    "from": 1,    "last_page": 1,    "links": [      {        "url": "string",        "label": "string",        "active": true      }    ],    "path": "string",    "per_page": 0,    "to": 1,    "total": 0  }}